# ``twisted`.`words`.`protocols`.`jabber`.`client`.`IQAuthInitializer``

class documentation

`class IQAuthInitializer: (source)`

View In Hierarchy

Non-SASL Authentication initializer for the initiating entity.

This protocol is defined in JEP-0078 and mainly serves for compatibility with pre-XMPP-1.0 server implementations.

Method | `__init__` | Undocumented
Method | `initialize` | Undocumented
Constant | `AUTH_FAILED_EVENT` | Token to signal that authentication failed, due to invalid password.
Constant | `INVALID_USER_EVENT` | Token to signal that authentication failed, due to invalid username.
Instance Variable | `xmlstream` | Undocumented
Method | `_cbAuth` | Undocumented
Method | `_cbAuthQuery` | Undocumented
Method | `_ebAuth` | Undocumented
Method | `_ebAuthQuery` | Undocumented

def __init__(self, xs): (source)

Undocumented

def initialize(self): (source)

Undocumented

AUTH_FAILED_EVENT: `str` = (source)
Token to signal that authentication failed, due to invalid password.

Value

    '//event/client/basicauth/authfailed'

INVALID_USER_EVENT: `str` = (source)
Token to signal that authentication failed, due to invalid username.

Value

    '//event/client/basicauth/invaliduser'

xmlstream = (source)

Undocumented

def _cbAuth(self, iq): (source)

Undocumented

def _cbAuthQuery(self, iq): (source)

Undocumented

def _ebAuth(self, failure): (source)

Undocumented

def _ebAuthQuery(self, failure): (source)

Undocumented